低危 Bro up to 2.3.1 DNP3 Packet DNP3.cc 拒绝服务漏洞

CVE编号

CVE-2015-1521

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-04-24 19:59:00
漏洞描述
Bro是一个开源的网络分析和安全监控的框架。

Bro 2.3.2之前的版本中的analyzer/protocol/dnp3/DNP3.cc文件存在安全漏洞,该漏洞源于程序未能正确的处理长度为零的数据包。远程攻击者可借助特制的DNP3数据包利用该漏洞造成拒绝服务(缓冲区溢出或缓冲区越边界读取)。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://github.com/bro/bro/commit/6cedd67c381ff22fde653adf02ee31caf66c81a0
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 bro bro * Up to
(including)
2.3.1
运行在以下环境
系统 debian DPKG * Up to
(excluding)
2.3.2+dfsg-1
运行在以下环境
系统 ubuntu_18.04_lts bro * Up to
(excluding)
2.5-1
运行在以下环境
系统 ubuntu_18.10 bro * Up to
(excluding)
2.5-1
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况